Bug 301603 - Movie poster image not shown in pdf created with LaTeX and the multimedia package
Summary: Movie poster image not shown in pdf created with LaTeX and the multimedia pac...
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Unclassified
Component: PDF backend (show other bugs)
Version: 0.14.80
Platform: Compiled Sources Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-10 21:26 UTC by Oliver Sander
Modified: 2012-08-19 10:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.0


Attachments
Example file, compiled with pdflatex (33.03 KB, application/octet-stream)
2012-06-10 21:27 UTC, Oliver Sander
Details
Example movie file (27.98 KB, video/mp4)
2012-06-10 21:28 UTC, Oliver Sander
Details
The LaTeX source file (949 bytes, application/x-latex)
2012-06-10 21:28 UTC, Oliver Sander
Details
This patch implements the poster functionality for videos embedded in PDF files (14.00 KB, patch)
2012-07-16 10:25 UTC, Tobias Koenig
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Sander 2012-06-10 21:26:17 UTC
The LaTeX 'multimedia' package allows to embed movie files in pdf documents.  One of its option, viz. the 'poster' argument, requests that the first image of the movie be shown when the movie is not actually playing.  This does not work.  The movie plays when you click on it, but before the first frame is not shown.

Reproducible: Always
Comment 1 Oliver Sander 2012-06-10 21:27:28 UTC
Created attachment 71710 [details]
Example file, compiled with pdflatex
Comment 2 Oliver Sander 2012-06-10 21:28:05 UTC
Created attachment 71711 [details]
Example movie file
Comment 3 Oliver Sander 2012-06-10 21:28:38 UTC
Created attachment 71712 [details]
The LaTeX source file
Comment 4 Tobias Koenig 2012-07-16 10:25:51 UTC
Created attachment 72555 [details]
This patch implements the poster functionality for videos embedded in PDF files

The patch extends the VideoWidget to either show the actual video player and keep it hidden while not playing (in non-poster mode) or show an image of the first frame all the time and overlay it with the video player (in poster mode).
Comment 5 Albert Astals Cid 2012-07-17 21:59:21 UTC
Can i convince you to put it up on reviewboard? Makes for so much easier reviewing :-)
Comment 6 Tobias Koenig 2012-08-19 10:24:12 UTC
Git commit 8dbd83ab2a57d691ad2dfdbfa3bd0d5204573950 by Tobias Koenig.
Committed on 29/06/2012 at 11:16.
Pushed by tokoe into branch 'master'.

Implement support for poster image of videos in PDF documents

With this commit Okular will show a so called poster image for PDF documents
containing movie annotations. The image will be a screenshot of the first frame
of the video.
REVIEW: 105890
FIXED-IN: 4.10.0

M  +1    -0    CMakeLists.txt
M  +16   -3    cmake/modules/FindPoppler.cmake
M  +24   -1    core/movie.cpp
M  +30   -0    core/movie.h
M  +3    -0    generators/poppler/config-okular-poppler.h.cmake
M  +4    -0    generators/poppler/generator_pdf.cpp
M  +2    -2    ui/pageview.cpp
M  +2    -2    ui/presentationwidget.cpp
A  +31   -0    ui/snapshottaker.cpp     [License: UNKNOWN]  *
A  +27   -0    ui/snapshottaker.h     [License: UNKNOWN]  *
M  +121  -7    ui/videowidget.cpp
M  +6    -0    ui/videowidget.h

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/okular/8dbd83ab2a57d691ad2dfdbfa3bd0d5204573950